Page MenuHomePhabricator

1.41.0-wmf.8 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
brennen
Release Version
1.41.0-wmf.8
Release Date
May 8 2023, 12:00 AM

2023 week 19 1.41-wmf.8 Changes wmf/1.41.0-wmf.8

This MediaWiki Train Deployment is scheduled for the week of Monday, May 8th:

Monday May 8thTuesday, May 9thWednesday, May 10thThursday, May 11thFriday
Backports only.Branch wmf.8 and deploy to Group 0 Wikis.Deploy wmf.8 to Group 1 Wikis.Deploy wmf.8 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.8 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.41.0-wmf.7
Next: 1.41.0-wmf.9

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: brennen.
thcipriani set the point value for this task to 5.

Note: Monday May 8th is an holiday here in France, but I don't think it is going to cause any trouble.

Change 917350 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/917350

Change 917350 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/917350

Mentioned in SAL (#wikimedia-operations) [2023-05-08T14:51:43Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.41.0-wmf.7 refs T330214

Noting above log messages should have gone to T330213: 1.41.0-wmf.7 deployment blockers instead. It's been a while since we've had a train blocked over a weekend; think we're just relying on the result from https://train-blockers.toolforge.org/ even where we're operating on a previous week's train with scap deploy-promote.

Change 916916 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.41.0-wmf.8] Branch commit for wmf/1.41.0-wmf.8

https://gerrit.wikimedia.org/r/916916

Change 916916 merged by jenkins-bot:

[mediawiki/core@wmf/1.41.0-wmf.8] Branch commit for wmf/1.41.0-wmf.8

https://gerrit.wikimedia.org/r/916916

Change 917428 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/917428

Change 917428 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/917428

Mentioned in SAL (#wikimedia-operations) [2023-05-09T03:02:36Z] <mwpresync@deploy1002> Started scap: testwikis wikis to 1.41.0-wmf.8 refs T330214

Mentioned in SAL (#wikimedia-operations) [2023-05-09T03:50:31Z] <mwpresync@deploy1002> Finished scap: testwikis wikis to 1.41.0-wmf.8 refs T330214 (duration: 47m 55s)

Change 917827 had a related patch set uploaded (by TrainBranchBot; author: Hashar):

[operations/mediawiki-config@master] group0 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/917827

Change 917827 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/917827

Mentioned in SAL (#wikimedia-operations) [2023-05-09T09:17:55Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.41.0-wmf.8 refs T330214

Change 918360 had a related patch set uploaded (by TrainBranchBot; author: Hashar):

[operations/mediawiki-config@master] group1 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/918360

Change 918360 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/918360

Mentioned in SAL (#wikimedia-operations) [2023-05-10T08:15:05Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.41.0-wmf.8 refs T330214

Mentioned in SAL (#wikimedia-operations) [2023-05-10T08:21:01Z] <hashar@deploy1002> Synchronized php: group1 wikis to 1.41.0-wmf.8 refs T330214 (duration: 05m 55s)

Change 919003 had a related patch set uploaded (by TrainBranchBot; author: Hashar):

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/919003

Change 919003 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/919003

Mentioned in SAL (#wikimedia-operations) [2023-05-11T08:08:51Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.41.0-wmf.8 refs T330214

Mentioned in SAL (#wikimedia-operations) [2023-05-11T16:37:51Z] <brennen> train 1.41.0-wmf.8 (T330214): rolling back to group1 to test for T336504 presence/absence on enwiki

Change 919162 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group1 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/919162

Change 919162 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/919162

Mentioned in SAL (#wikimedia-operations) [2023-05-11T17:06:18Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.41.0-wmf.8 refs T330214

Mentioned in SAL (#wikimedia-operations) [2023-05-11T17:12:33Z] <brennen@deploy1002> Synchronized php: group1 wikis to 1.41.0-wmf.8 refs T330214 (duration: 06m 14s)

End-of-North-American-workday notes: We're still at group1, pending a fix for T336504: Transcluding Special:Prefixindex can force the default skin. Discussed with @hashar and he'll roll forward in his morning if a fix is in by then, otherwise I'll take over when I'm awake.

Per discussion with @Jdlrobson, we can probably also treat that bug as non-blocking for the train since we're close to a root cause, and backport the fix. If we roll forward under that understanding, let's make sure to update the Village Pump discussion to mention that's what we're doing.

T336504 got fixed and I have backported the fix to 1.41.0-wmf.8. I will update the wikis. I have poked the Village Pump about it.

Change 919278 had a related patch set uploaded (by TrainBranchBot; author: Hashar):

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/919278

Change 919278 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/919278

Mentioned in SAL (#wikimedia-operations) [2023-05-12T09:18:26Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.41.0-wmf.8 refs T330214

Looks like it is all fine as far as server side error logs are concerned.